GNU Radio C++ API Reference: gr::filter::mmse_interp_differentiator_ff Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::filter::mmse_interp_differentiator_ff Class Reference

Compute intermediate samples of the derivative of a signal between signal samples x(k*Ts). More...

`#include <gnuradio/filter/mmse_interp_differentiator_ff.h>`

## Public Member Functions
| mmse_interp_differentiator_ff ()
| mmse_interp_differentiator_ff (mmse_interp_differentiator_ff &&)=default
unsigned | ntaps () const
unsigned | nsteps () const
float | differentiate (const float input[], float mu) const
| compute a single interpolated differentiated output value.

## Protected Attributes
std::vector< kernel::fir_filter_fff > | filters

## Detailed Description

Compute intermediate samples of the derivative of a signal between signal samples x(k*Ts).

This implements a Minimum Mean Squared Error interpolating differentiator with 8 taps. It is suitable for signals where the derivative of a signal has a bandwidth of interest in the range (-Fs/4, Fs/4), where Fs is the samples rate.

Although mu, the fractional delay, is specified as a float, in the range [0.0, 1.0], it is actually quantized. That is, mu is quantized in the differentiate method to 128th's of a sample.

## Constructor & Destructor Documentation

## ◆ mmse_interp_differentiator_ff() [1/2]

gr::filter::mmse_interp_differentiator_ff::mmse_interp_differentiator_ff | ( |  | ) |

Referenced by mmse_interp_differentiator_ff().

## ◆ mmse_interp_differentiator_ff() [2/2]

gr::filter::mmse_interp_differentiator_ff::mmse_interp_differentiator_ff | ( | mmse_interp_differentiator_ff && |  | ) |
| default

References mmse_interp_differentiator_ff().

## Member Function Documentation

## ◆ differentiate()

float gr::filter::mmse_interp_differentiator_ff::differentiate | ( | const float | input[],
|  | float | mu ) const

compute a single interpolated differentiated output value.

`input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value.

`mu` must be in the range [0, 1] and specifies the fractional delay.

Exceptions

  std::runtime_error | if mu is not in the range [0, 1].

Returns
  the interpolated differentiated output value.

## ◆ nsteps()

unsigned gr::filter::mmse_interp_differentiator_ff::nsteps | ( |  | ) | const

## ◆ ntaps()

unsigned gr::filter::mmse_interp_differentiator_ff::ntaps | ( |  | ) | const

## Member Data Documentation

## ◆ filters

std::vector<kernel::fir_filter_fff> gr::filter::mmse_interp_differentiator_ff::filters
| protected

The documentation for this class was generated from the following file:

- mmse_interp_differentiator_ff.h